import { Injectable } from '@nestjs/common';

export type Params = any; // TODO

export type Report = {
  id: string;
  name: string;
  datetime: number;
  datetimeFormatted: string;
  params: Params; // query?, schedule?, etc TODO
  data: any;
};

@Injectable()
export class DailyEccmV2ReportService {
  constructor(params: Params) {
    return;
  }
}
